user decidim;
pid /run/nginx.pid;
worker_processes 1;
error_log /dev/stderr warn;

events {
	worker_connections 1024;
}

http {
	include mime.types;
	default_type application/octet-stream;

	access_log off;
	server_tokens off;
	client_max_body_size 100m;
	sendfile on;
	tcp_nodelay on;
	send_timeout 300;

	passenger_root /usr/local/lib/passenger;
	passenger_ruby /usr/local/bin/ruby;

	server {
		listen 8080;
		server_name localhost;

		passenger_enabled on;
		passenger_set_header Host $http_x_forwarded_host;
		rails_env production;

		root /srv/decidim-app/public;
	}
}
